package com.dgtly.notice.domain;

import com.dgtly.common.annotation.Excels;
import com.dgtly.goods.domain.GoodsType;
import com.dgtly.system.domain.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 【请填写功能名称】对象 notice_supply
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public class NoticeSupply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id,主键 */
    private Long id;

    /** 关联商品类别表id */
    @Excel(name = "关联商品类别表id")
    private Long typeId;
    @Excel(name = "类别名称")
    private String typeName;

    /** 商户表id */
    @Excel(name = "商户表id")
    private Long merchantId;

    /** 供应信息标题 */
    @Excel(name = "供应信息标题")
    private String supplyTitle;

    /** 供应信息详情 */
    @Excel(name = "供应信息详情")
    private String supplyDetails ;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 联系人 */
    @Excel(name = "联系人")
    private String contacts;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String telephone;

    /** 发布时间 */
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String picture;

    /** 供应信息状态 */
    @Excel(name = "供应信息状态")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTypeId(Long typeId)
    {
        this.typeId = typeId;
    }

    public Long getTypeId()
    {
        return typeId;
    }
    public void setMerchantId(Long merchantId) 
    {
        this.merchantId = merchantId;
    }

    public Long getMerchantId() 
    {
        return merchantId;
    }
    public void setSupplyTitle(String supplyTitle) 
    {
        this.supplyTitle = supplyTitle;
    }

    public void setSupplyDetails(String supplyDetails)
    {
        this.supplyDetails = supplyDetails;
    }

    public String getSupplyTitle() 
    {
        return supplyTitle;
    }

    public String getTypeName()
    {
        return typeName;
    }

    public void setTypeName(String typeName)
    {
        this.typeName = typeName;
    }

    public String getSupplyDetails()
    {
        return supplyDetails;
    }


    public void setManufacturer(String manufacturer) 
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer() 
    {
        return manufacturer;
    }
    public void setContacts(String contacts) 
    {
        this.contacts = contacts;
    }

    public String getContacts() 
    {
        return contacts;
    }
    public void setTelephone(String telephone) 
    {
        this.telephone = telephone;
    }

    public String getTelephone() 
    {
        return telephone;
    }
    public void setReleaseTime(Date releaseTime) 
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime() 
    {
        return releaseTime;
    }
    public void setPicture(String picture) 
    {
        this.picture = picture;
    }

    public String getPicture() 
    {
        return picture;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("typeId", getTypeId())
            .append("merchantId", getMerchantId())
            .append("supplyDetails", getSupplyDetails())
                .append("supplyTitle", getSupplyTitle())
            .append("manufacturer", getManufacturer())
            .append("contacts", getContacts())
            .append("telephone", getTelephone())
            .append("releaseTime", getReleaseTime())
            .append("picture", getPicture())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("remark", getRemark())
            .append("typeName", getTypeName())
            .toString();
    }
}
